Subject: Re: bug#13109: 24.1; flyspell highlights words containing curly quotes which ispell-buffer accepts

From: Agustin Martin <[email-masked]>
Date: Mon, 6 May 2013 12:32:06 +0200

On Sat, May 04, 2013 at 09:26:30PM +0200, Sebastien Vauban wrote:
> Hello Reuben,
> 
> Reuben Thomas wrote:
> >>> I've copied the default settings and added a curly single quote to the
> >>> list of permitted "other characters". I imagine one can do the same for
> >>> other languages. It's ugly (principally because it copies rather than
> >>> overwriting information) but that information (the other entries in the
> >>> record) doesn't change often, so it'll do until a more comprehensive
> >>> solution is applied.
> >>>
> >>
> >> Belay that, it doesn't work. It seems I have to type a new word for
> >> flyspell to complain; merely passing the cursor over an old one (which
> >> suffices to remove a highlight in a word that has been added to the
> >> dictionary) does not suffice.
> >>
> >> If anyone can offer a functioning workaround, I'd be most grateful.
> >>
> >
> > I read the documentation for ispell-dictionary-alist more carefully, and
> > came up with:
> >
> >  '(ispell-local-dictionary-alist (quote (("british" "[[:alpha:]]"
> > "[^[:alpha:]]" "['???]" t ("-d" "en_GB") nil utf-8))))
> >
> > where I made the "others" character set a character class.
> 
> Not answering your questions, but commenting about this: it never has been
> clear to me which var should really be edited...
> `ispell-dictionary-base-alist', `ispell-base-dicts-override-alist' or
> `ispell-local-dictionary-alist'...

`ispell-local-dictionary-alist' is what you want.

`ispell-dictionary-base-alist' has the last resort values if nothing else
fits. `ispell-base-dicts-override-alist' is mostly for distros or sysadmins
to overrride values from `ispell-dictionary-base-alist' and will not
override auto-detected values. None of both are created with a defcustom.

-- 
Agustin